---
title: Log
slug: performance-edge/api/log
docTags: 
createdAt: 2026-06-23T07:39:27.551Z
---

Print execution logic to your browser's console.

## Description

Tell Optimizely Performance Edge to output its log to the browser's console log (default is OFF).

You can also do this by using the query parameter `optimizely_log={level}`.

If you set the `level` to the currently-configured log level this function has no effect other than emitting a warning.

:::BlockQuote
📘 Note

Only affects tracking snippet logs, not edge-decider/microsnippet which only can be delivered via `?optimizely_log`.
:::

```javascript
window.optimizelyEdge.push(log);
```

```javascript
window.optimizelyEdge.push({
  "type": "log",
  "level": "INFO"
});
```

## Parameters

This table provides general information about required and optional parameters.

| Parameter                | Type   | Description                                                                                                                         |
| ------------------------ | ------ | ----------------------------------------------------------------------------------------------------------------------------------- |
| **Log** *required*       | object | An object with the type field set to log.                                                                                           |
| **Log.type** *required*  | string | The argument indicating that you are using the log function.                                                                        |
| **Log.level** *optional* | string | One of the following: OFF (No logs), ERROR (Errors only), WARN (Warning and above), INFO (Info and above), DEBUG (Debug and above). |

